Package com.collibra.dgc.core.api.dto.meta.attributetype

# Enum Class FindAttributeTypesRequest.SortField

Object
Enum<FindAttributeTypesRequest.SortField>
SortField

All Implemented Interfaces:
  `Serializable`, `Comparable<FindAttributeTypesRequest.SortField>`, `Constable`

Enclosing class:
  `FindAttributeTypesRequest`

public static enum FindAttributeTypesRequest.SortField extends Enum<FindAttributeTypesRequest.SortField>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALLOWED_VALUES`
  `IS_INTEGER`
  `KIND`
  `NAME`
  `STATISTICS_ENABLED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindAttributeTypesRequest.SortField`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FindAttributeTypesRequest.SortField[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NAME

    public static final FindAttributeTypesRequest.SortField NAME

  - ### KIND

    public static final FindAttributeTypesRequest.SortField KIND

  - ### STATISTICS_ENABLED

    public static final FindAttributeTypesRequest.SortField STATISTICS_ENABLED

  - ### IS_INTEGER

    public static final FindAttributeTypesRequest.SortField IS_INTEGER

  - ### ALLOWED_VALUES

    public static final FindAttributeTypesRequest.SortField ALLOWED_VALUES

- ## Method Details

  - ### values

    public static FindAttributeTypesRequest.SortField[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FindAttributeTypesRequest.SortField valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null